VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/openafs-release/-/tree/cde1b3fab7d76fa0a71dcdad1f48f4e7da16f58c
%define product openafs
%define debug_package %{nil}
%define distOS 9al

Name:		%{product}-release
Version:	1.5
Release:	1%{?dist}
Summary:	CERN %{product} repository release file
Group:		System Environment/Base
License:	GPLv2
URL:		http://linux.cern.ch/
BuildArch:  noarch
Source0:	%{product}.repo

%description
The package contains yum configuration for the CERN %{product} repository

%prep
%setup -q  -c -T
install -pm 0644 %{SOURCE0} .
# Why no elif, you ask? Because rpm on RHEL8 apparently doesn't support it.
%if "%{distOS}" == "8el" || "%{distOS}" == "9el" || "%{distOS}" == "10el"
    %define DNFVARIABLE cernrhel
    %define DNFDISTRO rhel
%endif
%if "%{distOS}" == "8al" || "%{distOS}" == "9al" || "%{distOS}" == "10al"
    %define DNFVARIABLE cernalmalinux
    %define DNFDISTRO alma
%endif
sed -i 's/DNFVARIABLE/%{DNFVARIABLE}/g' %{product}.repo
sed -i 's/DNFDISTRO/%{DNFDISTRO}/g' %{product}.repo

%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{product}.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/%{product}.repo

%files
%defattr(-,root,root,-)
%doc
%config(noreplace) /etc/yum.repos.d/*

%changelog
* Wed Jul 16 2025 Alex Iribarren <alex.iribarren@gmail.com> - 1.5-1
- added support for RHEL10 and AlmaLinux 10
- dropped support for CentOS Linux 8 and CentOS Stream 9

* Wed Nov 30 2022 Alex Iribarren <Alex.Iribarren@cern.ch> 1.4-1
- added support for RHEL8 and AlmaLinux 8/9

* Tue Sep 06 2022 Alex Iribarren <Alex.Iribarren@cern.ch> 1.3-1
- added support for RHEL9

* Wed Nov 03 2021 Alex Iribarren <Alex.Iribarren@cern.ch> 1.2-1
- added support for CS9
- fixed testing repo on CS8

* Tue Feb 18 2020 Ben Morrice <ben.morrice@cern.ch> 1.1-1
- move repo to use $cernbase variable

* Fri Nov 22 2019 Ben Morrice <ben.morrice@cern.ch> 1.0-1
- Initial release
